Host Profile Manager Query Host Profile Metadata

Host Profile Manager Query Host Profile Metadata
Retrieve the metadata for a set of profiles.

Retrieve the metadata for a set of profiles.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostProfileManager/{moId}/QueryHostProfileMetadata
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryHostProfileMetadataRequestType of type(s) application/json
Optional
{
    "profileName": [
        "string"
    ],
    "profile": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
array of string
profileName
Optional

Names of the profiles for which metadata is requested. If not set, the method returns metadata for all the profiles.

profile
Optional

Base profile whose context needs to be used during the operation

Authentication
This operation uses the following authentication methods.
Responses
200

List of profile metadata objects.

[
    {
        "_typeName": "string",
        "key": "string",
        "profileTypeName": "string",
        "description": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "messageCatalogKeyPrefix": "string",
            "messageArg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ]
        },
        "sortSpec": [
            {
                "_typeName": "string",
                "policyId": "string",
                "parameter": "string"
            }
        ],
        "profileCategory": "string",
        "profileComponent": "string",
        "operationMessages": [
            {
                "_typeName": "string",
                "operationName": "string",
                "message": {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            }
        ]
    }
]
array of object
Optional

This data object represents the metadata information of a Profile.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/HostProfileManager/{moId}/QueryHostProfileMetadata